/* 

---------- TYPOGRAPHY ----------

FONT SIZES
12px / 16px / 20px / 24px / 32px / 40px / 48px / 62px

FONT WEIGHTS
400 / 700

LINE HEIGHTS
1.2 / 1.5

LETTER SPACING
0 / -2px

FONT FAMILY
Poppins

---------- COLORS ----------

#EDEAE4 // Gray
#032C53 // menu blue
#0F1729 // Deep blue
#D92438 // Hightlight red
#B31622 // Deep Red
#1280AB // Light Blue
#627036 // Olive
#45423E // Gray Text

---------- BORDER RADIUS ----------

4px / 8px / 20px

---------- SPACING SYSTEM ----------

5px / 10px / 15px / 20px / 25px / 30px / 40px / 50px / 60px / 70px / 80px / 90px / 100px / 125px / 150px / 200px / 250px / 300px / 400px / 500px

*/

/* ----------------------- GLOBAL STYLES ----------------------- */

:root {
    /* FONT SIZE */
    --text-sm: 1.2rem;
    --text-base: 1.6rem;
    --text-paragraph: 1.6rem;
    --text-h5: 2.4rem;
    --text-h4: 3.2rem;
    --text-h3: 2rem;
    --text-h2: 2.4rem;
    --text-h1: 3rem;

    /* FONT WEIGHT */
    --font-weight-normal: 400;
    --font-weight-bold: 700;

    /* LINE HEIGHTS */
    --line-height-tight: 1.2;
    --line-height-normal: 1.4;

    /* LETTER SPACING */
    --letter-spacing-tight: -2px;

    /* FONT FAMILY */
    --lato: lato, sans-serif;
    --oswald: Oswald, sans-serif;

    /* COLORS */
    --gray: #EDEAE4;
    --menu-blue: #032C53;
    --deep-blue: #0F1729;
    --highlight-red:#D92438;
    --deep-red: #B31622;
    --light-blue: #1280AB;
    --olive: #627036;
    --gray-text: #45423E;
    --white: #fff;
    
    /* MISCELLANEOUS */
    --masthead-height: 130px;
    --full-width: 95%;
    --max-site-width: 1200px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
   font-size: 62.5%; 
}

body {
    font-family: var(--lato);
    font-weight: var(--font-weight-normal);
    line-height: var(--line-height-normal);
    color: var(--gray-text);
}

/*h1, h2, h3, h4, h5 {
    font-weight: var(--font-weight-bold);
    line-height: var(--line-height-tight);
    letter-spacing: var(--letter-spacing-tight);
    color: var(--grey-shade);
}*/

h1 {
    font-size: var(--text-h1);
    margin-bottom: 2rem;
    font-family: var(--oswald);
}

h1.white-h1 {
    color: var(--white);
}

h1.centre {
    text-align: center;
}

h2 {
    font-size: var(--text-h2);
    margin-bottom: 2rem;
    font-family: var(--oswald);
    color: var(--menu-blue);
}

h2.white-h2 {
    color: var(--white);
}

h2.centre {
    text-align: center;
}

h3 {
    font-size: var(--text-h3);
    margin-bottom: 1.8rem;
    font-family: var(--oswald);
    color: var(--menu-blue);
}

h3.white-h3 {
    color: var(--white);
}

h4 {
    font-size: var(--text-h4);
}

h5 {
    font-size: var(--text-h5);
}

p {
    font-size: var(--text-paragraph);
    margin-bottom: 1.3rem;
}

p.white-para {
    color: var(--white);
}

p.centre {
    text-align: center;
}

a {
    text-decoration: none;
    display: inline-block;
}

ul {
    list-style: none;
}

ul.white-ul {
    color: var(--white);
}

li {
    font-size: var(--text-paragraph);
    margin-bottom: 0.3rem;
}

span {
    display: inline-block;
}

/*.small-text {
    font-size: var(--text-sm);
}*/

.bg-light-blue {
    background-color: var(--light-blue);
}

.bg-dark-blue {
    background-color: var(--menu-blue);
}

.bg-red {
    background-color: var(--deep-red);
}

.bg-olive {
    background-color: var(--olive);
}

.text-block-centre {
    width: min(700px, var(--full-width));
    margin: 4rem auto;
}

/* ----------------------- COMPONENTS ----------------------- */

/* ------ LINK BUTTONS ------ */

.btn {
    font-size: var(--text-base);
    text-decoration: none;
    padding: 1.3rem 3rem;
    
}

.btn-primary:link, .btn-primary:visited {
    color: var(--white);
    font-family: var(--oswald);
    background-color: var(--highlight-red) !important;
    border: 1px solid var(--deep-red) !important;
}

.btn-primary:hover, .btn-primary:active {
    background-color: var(--deep-red) !important;
}

.btn-secondary:link, .btn-secondary:visited {
    color: var(--white);
    font-family: var(--oswald);
    background-color: var(--menu-blue) !important;
    border: 1px solid var(--deep-blue) !important;
}

.btn-secondary:hover, .btn-secondary:active {
    background-color: var(--deep-blue) !important;
}

/* ------ FORM INPUTS ------ */

textarea, input {
    width: 100%;
    height: 40px;
    background-color: var(--white);
    border: 1px solid var(--light-blue);
    padding-left: 1rem;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    font-size: 1.6rem;
    font-weight: var(--font-weight-normal);
    color: var(--gray-text);
    font-family: var(--lato);
}

textarea {
    padding-top: 1rem;
    height: 150px;
}

input[type=submit] {
    border-width: 2px;
    color: var(--light-blue);
    font-weight: var(--font-weight-bold);
    cursor: pointer;
    font-family: var(--oswald);
}

input:focus, textarea:focus { 
    outline: none;
}


/* ------ NAV ICON ------ */

.nav-icon {
    display:none;
    width: 25px;
    cursor: pointer;
    transition: 0.3s;
}
.nav-icon div { 
    background-color: var(--menu-blue);
    content: '';
    height: 3px;
    margin: 0.4rem 0;
    transition: all .2s ease-in-out;
}
.nav-icon .a, .nav-icon .c { 
    width:70%;

}

.nav-icon.active .a {
    transform: translateY(7px) rotate(135deg);
    width: 100%;
}

.nav-icon.active .b {
    transform: scale(0);
}

.nav-icon.active .c {
    width: 100%;
    transform: translateY(-7px) rotate(-135deg);
}

.disable-scroll { 
  height: 100%; 
  overflow: hidden; 
}


/*/* ----------------------- SECTIONS ----------------------- */

/* ------ LAYOUT GRID ------ */

.layout {
    display: grid;
        grid-template-areas: "masthead" "content" "footer";
        grid-template-rows: var(--masthead-height) 1fr auto;
        width: 100%;
        min-height: 100vh;
}

.masthead {
     grid-area: masthead;  
     background-color: var(--gray);
     border-bottom: 5px solid var(--menu-blue);
}

.content {
    grid-area: content;
}

.footer {
    grid-area: footer;
    background-color: var(--menu-blue);
    
}

/* ------ MASTHEAD ------ */

.navbar {
    height: var(--masthead-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: min(var(--full-width), var(--max-site-width));
    margin: 0px auto;
}

.global-nav {
    display: flex;
    gap: 3.5rem;
    font-family: var(--oswald);
    font-size: 1.7rem;
    font-weight: var(--font-weight-bold);
}

.global-nav a {
    color: var(--menu-blue);
}

.global-nav a:hover, .global-nav a.active {
    color: var(--light-blue);
}

a.link-highlight {
    color: var(--highlight-red);
}

a.link-highlight:hover, a.link-highlight.active {
    color: var(--deep-red);
}

/* ------ FOOTER ------ */

.footer-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    width: min(var(--full-width), var(--max-site-width));
    margin: 0px auto;
    gap: 4rem;
    padding: 5rem 0px;
}

.footer-grid div {
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: start;
    gap: 2rem;
}

.footer .supporters {
    display: flex;
    flex-direction: row;
    gap: 3rem;
}

.footer p.copyright {
    margin-bottom: 0;
}

/* ------ MOBILE NAVIGATION ------ */

.mobile-nav {
    display: none;
    position: fixed;
    top: var(--masthead-height);
    right: 0px;
    width: 100%;
    height: calc(100vh - var(--masthead-height));
    background-color: var(--gray);
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.mobile-nav.active {
    display: flex;
}

.mobile-nav-list {
    display:flex;
    flex-direction: column;
    gap:2rem;
    text-align:center;
    font-family: var(--oswald);
    
    font-weight: var(--font-weight-bold);
}

.mobile-nav-list li a {
    font-size: 3rem;
    color: var(--menu-blue);
}

.mobile-nav-list a:hover, .mobile-nav-list a.active {
    color: var(--light-blue);
}

.mobile-nav-list a.link-highlight {
    color: var(--highlight-red);
}

.mobile-nav-list a.link-highlight:hover, .mobile-nav-list a.link-highlight.active {
    color: var(--deep-red);
}


/* ------ OUR WORK INTRO SECTION ------ */

.our-work-blue-bg {
    background-color: var(--deep-blue);
    padding:4rem 0;
    margin-bottom: 4rem;
}

.our-work-intro-section {
    display: grid;
    width: min(var(--full-width), var(--max-site-width));
    margin: 0 auto;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 4rem;
}

.our-work-intro-section .intro-picture {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.our-work-intro-section .intro-picture img {
    max-width: 100%;
    border: 1px solid var(--menu-blue);
}

.our-work-intro-section .intro-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

/* ------ PROJECT DELIVERABLES ------ */

.project-deliverables {
    display: grid;
    width: min(var(--full-width), var(--max-site-width));
    margin: 4rem auto;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
}

.project-deliverables .delivery {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--menu-blue);
    padding: 1.2rem;
}

.our-work-help {
    display: grid;
    width: min(var(--full-width), var(--max-site-width));
    margin: 4rem auto;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 3rem;
}

.our-work-help .help-list {
    background-color: var(--deep-blue);
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.our-work-help .help-list ul {
    list-style-type: disc;
    margin-left: 1.5rem;
}


/* ------ GET INVOLVED BANNER ------ */

.get-involved-banner {
    background-color: var(--light-blue);
    padding:2rem;
}

.get-involved-banner .banner-content {
    display: flex;
    width: min(var(--full-width), var(--max-site-width));
    margin: 0 auto;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 3rem
}


/* ------ HOME PAGE VIDEO HERO ------ */

.hero-video-section {
    height: calc(100vh - var(--masthead-height));
    min-height: 400px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-image: url(../images/content/home-hills.jpg);
    background-position: center center;
    background-size: cover;
}

.hero-heading {
    text-align: center;
    color: var(--white);
}

.home-hero-grid {
    display: grid;
    width: min(var(--full-width), var(--max-site-width));
    grid-template-columns: 250px 250px 250px;
    gap: 3rem;
    margin: 3rem auto;
    justify-content: center;
}

.home-hero-grid .home-card {
    height:300px;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1.6rem;
}

.home-hero-grid .home-card.blue {
    background-color: var(--light-blue);
}

.home-hero-grid .home-card.olive {
    background-color: var(--olive);
}

.home-hero-grid .home-card.red {
    background-color: var(--deep-red);
}

.home-hero-grid .home-card .h2-link {
    display: none;
    width: 100%;
    text-align: center;
}

/* ------ VISIT BANNER ------ */

.visit-banner {
    background-image: url("../images/elements/map-banner.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 400px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* ------ VISIT GUIDENCE ------ */

.visit-guidence {
    background-color: var(--olive);
    margin: 4rem 0;
    padding: 4rem 0;
}

.visit-guidence-grid {
    display: grid;
    width: min(var(--full-width),var(--max-site-width));
    margin: 0 auto;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 3rem;
}

.visit-guidence-grid .visit-picture {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.visit-guidence-grid .visit-picture img {
    max-width: 100%;
}

.visit-guidence-grid .visit-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.visit-guidence-grid .visit-content ul {
    list-style-type: disc;
    margin-left: 1.5rem;
}

.visit-map {
    width: min(var(--full-width),var(--max-site-width));
    margin: 4rem auto;
    border: 2px solid var(--menu-blue);
}


/* ------ TIMELINE INTRO ------ */

.timeline-intro-bg {
    background-color: var(--olive);
    padding:4rem 0;
    margin-bottom: 4rem;
}

.timeline-intro-section {
    display: grid;
    width: min(var(--full-width), var(--max-site-width));
    margin: 0 auto;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 4rem;
}

.timeline-intro-section .timeline-intro-picture {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.timeline-intro-section .timeline-intro-picture img {
    max-width: 100%;
    border: 1px solid var(--menu-blue);
}

.timeline-intro-section .timeline-intro-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

/* ------ TIMELINE ------ */

.timeline-section {
    /*background-color: red;*/
    width: 100%;
    overflow: hidden;
    margin: 4rem 0;
}

#slider {
    width: min(var(--full-width),var(--max-site-width));
    margin: 0.6rem auto 3rem auto;
}

#slider .ui-slider-handle {
      outline: 0;
      height: 18px;
      width:18px;
      background: var(--menu-blue);
      border-radius: 50%;
      top: -.6rem;
}

#slider.ui-slider-horizontal {
      height: 8px;
}

.timeline-window {
    width: 250px;
    margin: 0 auto;
}

.timeline {
    display: flex;
    gap: 2rem;
}

.timeline-window .timeline .event {
    width: 250px;
}

.timeline-window .timeline .event p.desc {
    flex-grow: 1;
    color: var(--gray-text);
}

.timeline-window .timeline .event .event-image {
    height: 248px;
    width: 248px;
    border-radius: 50%;
    border: 1px solid var(--deep-blue);
    background-size: 100%;
    background-position: center;
    margin-bottom: 1rem;
    transition: background-size .5s;
}

.timeline-window .timeline .event a {
    display:flex;
    flex-direction:column;
    height:100%;
}

.timeline-window .timeline .event a h3 {
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 1rem;
}

.timeline-window .timeline .event a p {
    text-align:center;
}

.timeline-window .timeline .event a p.learn-button {
    text-transform: uppercase;
    color: var(--highlight-red);
    font-weight: var(--font-weight-bold);
}

.timeline-window .timeline .event a:hover .event-image {
    background-size: 120%;
}


/* ------ GET INVOLVED HERO ------ */

.get-involved-hero {
    background-image: url("../images/elements/get_inv_bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 400px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* ------ GET INVOLVED GRID ------ */

.get-involved-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 3rem;
    margin:4rem auto;
    width: min(var(--full-width), var(--max-site-width));
}

.gi-intro {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.gi-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}


@media only screen and (max-width: 900px) {

    .global-nav {
        display: none;
    }

    .nav-icon {
        display:block;
    }

    .home-hero-grid {
        grid-template-columns: 1fr;
    }

    .home-hero-grid .home-card {
        height: auto;
        gap: 0;
    }

    .home-hero-grid .home-card .h2-link {
        display: block;
    }

     .home-hero-grid .home-card .h2-link h2 {
        margin-bottom: 0;
    }

    .home-hero-grid .home-card .main-h2, .home-hero-grid .home-card .main-p, .home-hero-grid .home-card .btn {
        display: none;
    }

}

@media only screen and (max-width: 700px) {

    .footer-grid {
        padding-bottom: 3rem;
    }

}

/* ------ ASPECT RATION QUERIES FOR HOME PAGE VIDEO ------ */

@media (min-aspect-ratio: 16/9) {
    .video {
        width: 100%;
        height: auto;
    }
}

@media (max-aspect-ratio: 16/9) {
    .video {
        width: auto;
        height: 100%;
    }
}


/* ------ STORY SECTION ------ */

.story-intro-bg {
    background-color: var(--olive);
    padding:4rem 0;
    margin-bottom: 4rem;
}

.story-intro-section {
    display: grid;
    width: min(var(--full-width), var(--max-site-width));
    margin: 0 auto;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 4rem;
}

.story-intro-section .story-intro-picture {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.story-intro-section .story-intro-picture img {
    max-width: 100%;
    border: 1px solid var(--menu-blue);
}

.story-intro-section .story-intro-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.story-section {
    width: min(var(--max-site-width), var(--full-width));
    margin: 0 auto;
}



/*

.btn-primary-outline:link, .btn-primary-outline:visited {
    color: var(--primary-base);
    background-color: var(--white);
    border: 2px solid var(--primary-base);
}

.btn-primary-outline:hover, .btn-primary-outline:active {
    color: var(--primary-shade);
    background-color: var(--white);
    border: 2px solid var(--primary-shade);
}

.btn-secondary:link, .btn-secondary:visited {
    color: var(--white);
    background-color: var(--secondary-base);
    border: 2px solid var(--secondary-base);
}

.btn-secondary:hover, .btn-secondary:active {
    color: var(--white);
    background-color: var(--secondary-shade);
    border: 2px solid var(--secondary-shade);
}

.highlight {
    color: var(--white);
    padding: 0.5rem 1rem;
    border-radius: 4px;
}

.highlight-primary {
    background-color: var(--primary-base);
}

.highlight-secondary {
    background-color: var(--secondary-base);
}

.highlight-tertiary {
    background-color: var(--tertiary-base);
}

.logo-md {
    width: 100px;
}

.logo-sm {
    width: 80px;
}*/

/* ----------------------- SECTIONS ----------------------- */

/* ------ NAVBAR ------ */

/* ------ HERO SECTION ------ */

/*.hero-section {
    height: calc(100vh - var(--nav-height));
    min-height: 400px;
    margin-bottom: 10rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero-heading {
    margin-bottom: 1rem;
    text-align: center;
}

.hero-paragraph {
    margin-bottom: 5rem;
}

.hero-btn-container {
    display: flex;
    gap: 2rem;
}*/

/* ------ FEATURES SECTION ------ */

/*.features-section {
    margin-bottom: 30rem;
}

.features-main-heading {
    text-align: center;
    margin-bottom: 8rem;
}

.feature-headings {
    margin-bottom: 2rem;
}

.feature-img {
    max-width: 400px;
    width: 100%;
}*/

/* ------ CTA SECTION ------ */

/*.cta-section {
    margin-bottom: 30rem;
    display: flex;
    justify-content: center;
}

.cta-card {
    text-align: center;
    background-color: var(--primary-base);
    max-width: 1000px;
    width: 100%;
    padding: 10rem 20rem;
    border-radius: 20px;
}

.cta-heading {
    margin-bottom: 3rem;
}*/

/* ------ FOOTER ------ */

/*.footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.social-icons-container {
    display: flex;
    gap: 1.5rem;
}

.footer-links-container {
    display: flex;
    gap: 1rem;
}

.social-icons {
    width: 20px;
}*/






















